@import "jquery.realperson.css";

label {
  display: inline-block;
  width: 20%;
}

.realperson-challenge {
  display: inline-block;
}

.modal-print {
  display: none;
  position: fixed;
  z-index: 100;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  overflow: auto;
}

.modal-print-content {
  background-color: #fff;
  margin: 1% auto;
  padding: 0;
  border-radius: 10px;
  width: 100%;
  max-width: 900px;
  max-height: 95%;
  display: flex;
  flex-direction: column;
  position: relative;
}

.modal-print-header {
  display: flex;
  justify-content: center;
  /* Centra los elementos */
  align-items: center;

  background-color: #f1f1f1;
  padding-top: 10px;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  position: sticky;
  top: 0;
  z-index: 999;
  padding: 10px;
}

.modal-print-header h2 {
  margin: 0;
  font-size: 1.5em;
  color: #333;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
}

.btn-print-close {
  background-color: transparent;
  color: #a43220;
  border: none;
  font-size: 30px;
  font-weight: bold;
  cursor: pointer;
  position: absolute;
  top: 10px;
  right: 10px;
  transition: background-color 0.3s;
}

.btn-print-close:hover {
  background-color: #e7e7e7;
  border-radius: 50%;
}

.print-btn {
  background-color: #a43220;
  color: white;
  border: none;
  padding: 10px 20px;
  font-size: 16px;
  cursor: pointer;
  border-radius: 5px;
}

/* Cuerpo del modal con iFrame */
.modal-print-body {
  overflow: auto;
  height: 100vh;
  padding: 10px;
}

iframe {
  width: 100%;
  height: 100%;
  border: none;
  border-radius: 10px;
}
